Skip to main content
GET
/
v4
/
evaluation-datasets
/
{evaluation_dataset_id}
/
generation-jobs
/
{generation_job_id}
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
evaluation_dataset_generation_job = client.evaluation_datasets.generation_jobs.retrieve(
    generation_job_id="generation_job_id",
    evaluation_dataset_id="evaluation_dataset_id",
)
print(evaluation_dataset_generation_job.generation_job_id)
package main

import (
"context"
"fmt"

"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)

func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
evaluationDatasetGenerationJob, err := client.EvaluationDatasets.GenerationJobs.Get(
context.TODO(),
"evaluation_dataset_id",
"generation_job_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", evaluationDatasetGenerationJob.GenerationJobID)
}
curl --request GET \
--url https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs/{generation_job_id}
const options = {method: 'GET'};

fetch('https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs/{generation_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "generation_job_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "num_test_cases": 123,
  "num_completed_test_cases": 123,
  "total_chunk_count": 123,
  "failure_reason": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

evaluation_dataset_id
string
required
generation_job_id
string
required

Response

Successful Response

generation_job_id
string
required

ID of the async job associated with this evaluation dataset generation

status
enum<string>
required

Status of the async job

Available options:
Pending,
Running,
Completed,
Failed,
Canceled
created_at
string<date-time>
required

The timestamp at which the upload job started.

updated_at
string<date-time>
required

The timestamp at which the upload job was last updated.

num_test_cases
integer

Optional number of test cases input to the job

num_completed_test_cases
integer

Number of test cases that have been generated

total_chunk_count
integer

Number of chunks in the knowledge base

failure_reason
string

Reason for the job's failure, if applicable